\documentstyle[12pt,amstex,amssymb]{article}
\def\ga{\alpha}
\def\gb{\beta}
\def\gc{\gamma}
\def\gd{\delta}
\def\ge{\epsilon}
\def\gz{\zeta}
\def\gy{\eta}
\def\th{\theta}
\def\gi{\iota}
\def\gk{\kappa}
\def\gl{\lambda}
\def\gm{\mu}
\def\gn{\nu}
\def\gx{\xi}
\def\gp{\pi}
\def\gr{\rho}
\def\gs{\sigma}
\def\gt{\tau}
\def\gu{\upsilon}
\def\ph{\phi}
\def\ch{\chi}
\def\ps{\psi}
\def\gw{\omega}

\def\gB{\Beta}
\def\gC{\Gamma}
\def\gD{\Delta}
\def\Th{\Theta}
\def\gL{\Lambda}
\def\gX{\Xi}
\def\gP{\Pi}
\def\gS{\Sigma}
\def\gU{\Upsilon}
\def\Ph{\Phi}
\def\Ps{\Psi}
\def\gW{\Omega}

\def\bA{{\bf A}}
\def\bB{{\bf B}}
\def\bC{{\bf C}}
\def\bD{{\bf D}}
\def\bE{{\bf E}}
\def\bF{{\bf F}}
\def\bG{{\bf G}}
\def\bH{{\bf H}}
\def\bI{{\bf I}}
\def\bJ{{\bf J}}
\def\bK{{\bf K}}
\def\bL{{\bf L}}
\def\bM{{\bf M}}
\def\bN{{\bf N}}
\def\bO{{\bf O}}
\def\bP{{\bf P}}
\def\bQ{{\bf Q}}
\def\bR{{\bf R}}
\def\bS{{\bf S}}
\def\bT{{\bf T}}
\def\bU{{\bf U}}
\def\bV{{\bf V}}
\def\bW{{\bf W}}
\def\bX{{\bf X}}
\def\bY{{\bf Y}}
\def\bZ{{\bf Z}}

\def\cA{{\cal A}}
\def\cB{{\cal B}}
\def\cC{{\cal C}}
\def\cD{{\cal D}}
\def\cE{{\cal E}}
\def\cF{{\cal F}}
\def\cG{{\cal G}}
\def\cH{{\cal H}}
\def\cI{{\cal I}}
\def\cJ{{\cal J}}
\def\cK{{\cal K}}
\def\cL{{\cal L}}
\def\cM{{\cal M}}
\def\cN{{\cal N}}
\def\cO{{\cal O}}
\def\cP{{\cal P}}
\def\cQ{{\cal Q}}
\def\cR{{\cal R}}
\def\cS{{\cal S}}
\def\cT{{\cal T}}
\def\cU{{\cal U}}
\def\cV{{\cal V}}
\def\cW{{\cal W}}
\def\cX{{\cal X}}
\def\cY{{\cal Y}}
\def\cZ{{\cal Z}}


\def\ba{{\bf a}}
\def\bb{{\bf b}}
\def\bc{{\bf c}}
\def\bd{{\bf d}}
\def\be{{\bf e}}
\def\bg{{\bf g}}
\def\bh{{\bf h}}
\def\bi{{\bf i}}
\def\bj{{\bf j}}
\def\bk{{\bf k}}
\def\bl{{\bf l}}
\def\bm{{\bf m}}
\def\bn{{\bf n}}
\def\bo{{\bf o}}
\def\bp{{\bf p}}
\def\bq{{\bf q}}
\def\br{{\bf r}}
\def\bs{{\bf s}}
\def\bt{{\bf t}}
\def\bu{{\bf u}}
\def\bv{{\bf v}}
\def\bw{{\bf w}}
\def\bx{{\bf x}}
\def\by{{\bf y}}
\def\bz{{\bf z}}

\def\b0{{\bf0}}
\def\o{\circ}
\def\x{\times}
\def\d{\partial}
\def\<{\langle}
\def\>{\rangle}
\def\R{{\mathbb R}}
\def\Z{{\mathbb Z}}
\def\Q{{\mathbb Q}}
\def\N{{\mathbb N}}
\def\C{{\mathbb C}}
\def\T{{\mathbb T}}
\def\Cinf{C^\infty}
\def\sb{\subseteq}
\def\sp{\superseteq}
\def\({\left(}
\def\){\right)}
\def\rank{\mbox{rank}\,}
\def\rk{\mbox{rank}\,}
\def\ddt{\frac d{dt}}
\def\corank{\mbox{corank}\,}
\def\cl{\hbox{cl}\,}
\def\im{\hbox{im}\,}
\def\Id{\hbox{Id}}
\def\Diff{\hbox{Diff}}
\def\tv{\pitchfork}
\def\ntv{\not\tv}
\def\codim{\hbox{codim}\,}
\def\tr{\hbox{tr}\,}
\def\cosec{\hbox{cosec}\,}
\def\const{\hbox{const}}
\def\lc{\lceil}
\def\rc{\rceil}
\def\lf{\lfloor}
\def\rf{\rfloor}
\def\sech{\hbox{sech}\,}
\def\csch{\hbox{csch}\,}
\def\grad{\hbox{grad}\,}
\def\nbhd{neighbourhood}
\def\dlim{\displaystyle\lim}
\def\dfrac#1#2{\displaystyle{#1\over#2}}
\def\dsum{\displaystyle\sum}
\def\dint{\displaystyle\int}
\def\diint{\displaystyle\iint}
\def\diiint{\displaystyle\iiint}
\def\doint{\displaystyle\oint}
\def\tlim{\textstyle\lim}
\def\tfrac#1#2{\textstyle{#1\over#2}}
\def\tsum{\textstyle\sum}
\def\tint{\textstyle\int}
\def\del{\nabla}
\def\div{\hbox{div}\,}
\def\curl{\hbox{curl}\,}
\def\intL{\int\limits}
\def\iintL{\iint\limits}
\def\iiintL{\iiint\limits}

\def\abs{\hbox{abs}\,}
\def\sgn{\hbox{sgn}\,}
\def\dom{\hbox{dom}\,}


\def\eval{\,\Bigl.\Bigl|}



\def\drawbox#1{\lower6pt\hbox{{\vbox{\hrule\hbox{\vrule\kern15pt
   \vbox{\kern10pt\vbox{\hbox{#1}}\kern10pt} 
   \kern18pt\vrule}\hrule}}}}

\def\picture #1 by #2 (#3){
  \medbreak
		$$\vbox to #2{
    \hrule width #1 height 0pt depth 0pt
    \vfill
    \special{picture #3}
  }$$
}

\def\scaledpicture #1 by #2 (#3 scaled #4){
  \dimen0=#1 
		\dimen1=#2
  \divide\dimen0 by 1000 
   \multiply\dimen0 by #4
  \divide\dimen1 by 1000 
   \multiply\dimen1 by #4
  \picture \dimen0 by \dimen1 (#3 scaled #4)}
%\input mypars
%The following are plain tex style parameters 

\baselineskip=12pt
\hoffset=0pt
\voffset=0 cm
\leftskip=0pt
\rightskip=0pt
\parindent=0cm

%And these are latex style parameters

\headsep=0cm
\headheight=0cm
\evensidemargin=0cm
\oddsidemargin=0cm
\parskip=12pt
\textwidth=16.5 true cm
\textheight=22 true cm
\topmargin=0cm

\def\Gr{Gr\"obner}
\def\kn{k[x_1,\dots,x_n]}

\newtheorem{theorem}{Theorem}
\newtheorem{lemma}{Lemma}[section]
\newtheorem{definition}{Definition}[section]
\newtheorem{example}{Example}[section]

\newenvironment{proof}
{\begin{trivlist}
\item[\hskip \labelsep {\bf Proof.}]
}
{\hfill$\Box$
\end{trivlist}}
           

\def\pagenumbers{\headline={\iftitle\hfil\global\titlefalse                     
   \else\hss\rm\folio\hss\fi}}                                                  
\newtoks\option                                                                 
\newtoks\solnhead                                                               
\newtoks\sheetname                                                              
\option={,}                                                                     
\def\separate#1,#2@{\def\optionid{#1}\def\optionname{#2}}                      
\def\fullwidth{\everypar{}\parindent=0pt\relax}                                 

\def\maketitle{
\begin{center}
{\sc Victoria University of Wellington\\
School of Mathematics, Statistics and Operations Research}\\
\smallskip
{\sl
Te Kura M{\=a}tai Tatauranga, Rangahau P{\=u}naha}
\end{center}
\expandafter\separate\the\option@
\hbox to\hsize{\hrulefill}
\nointerlineskip
\vskip3pt                                  
\hbox
to\hsize{\strut\rlap{\optionid}\hfill{\sc\optionname}\hfill\llap{\number\year}}          
\nointerlineskip
\vskip2pt
\hbox to\hsize{\hrulefill}}

\let\filbreak=\relax                                                           
\def\head{\filbreak\vskip 18pt\fullwidth                                    
   \def\filbreak{\global\let\filbreak=\fillbreak}%                            
   \centerline{\large\bf \the\sheetname}\nobreak
   \vskip 12pt minus 3pt}                                                       
\def\tutorial{\sheetname={Tutorial}\head}                                      
\def\assignment{\sheetname={Assignment}\head}                                  
\def\sheet#1{\sheetname={#1}\head}                                             
\def\showdue#1{\hbox to\hsize{\hfil Due: #1}
\vskip 5pt minus 3pt}

\leftmargin=0pt              

\begin{document}

\option={MATH 437,Gr\"obner Bases and Their Applications}        
\maketitle
\medskip 
\setcounter{section}1
\section{Polynomials and Varieties}


\subsection{Polynomials}

We need to set down a proper mathematical basis for what polynomials are.

\begin{definition}
A {\bf monomial} or {\bf power product} in $n$ variables is a formal (symbolic)
expression
$x_1^{\gb_1}x_2^{\gb_2}\dots x_n^{\gb_n}$ where $\gb_i\in\N$. The $n$-tuple $\gb$ is its {\bf multidegree} and its {\bf total
degree} is $|\gb|=\sum_{i=1}^n\gb_i$. 
\end{definition}

A useful notation is to let $\gb=(\gb_1,\dots,\gb_n)$ and write $x^\gb$ for
$x_1^{\gb_1}x_2^{\gb_2}\dots x_n^{\gb_n}$. The $x_i$s are just place holders really
without a formal meaning. We also write $x_i^{\gb_1}=1$ if $\gb_i=0$, where $1$ is
acting as a formal identity. So, for example, in~2 variables
$$
x_1^0x_2^0=1,\qquad x_1^1x_2^0=x_1, x_1^0x_2^3=x_2^3,\dots
$$

\begin{definition}
A {\bf polynomial} in $n$ variables is a finite linear combination, $\sum a_\gb
x^\gb$, of monomials with {\bf coefficients} $a_\gb$ in a given field $k$. Each
summand is called a {\bf term}. The {\bf total degree} is
$\deg(f)=\max\{|\gb|:x^\gb\mbox{ a monomial in the sum}\}$ unless $f=0$ in which case the total degree is undefined.
\end{definition}

The set of all polynomials in $n$ variables over a field $k$ is denoted
$k[x_1,\dots,x_n]$.  The definition of polynomials allows operations of
addition and scalar multiplication to be defined term-wise. So $\kn$ is a vector space
over $k$ and the monomials 
$$
1,x_1,\dots,x_n,x_1^2,x_1x_2,\dots,x_{n-1}x_n,x_n^2,x_1^3\dots
$$ 
form a basis, i.e. the space is infinite dimensional.  (The basis is indexed by
elements of $\N^n$.) The theory works for any field and we will mostly be interested in
$k=\Q,\R,\C$ or one of the finite fields such as $\Z_k$ where $k$ is a prime.
Sometimes there is a difference in results when the field has finite characteristic and, more often, depending on whether $k$ is algebraically complete. 

It is also possible to replace $k$ by a ring $R$ (frequently a commutative ring
with identity) in which case $R[x_1,\dots,x_n]$ is a {\em module}, which stands in
relation to a ring just as a vector space does to a field. However, modules do not
have well defined dimensions.

Using the following formal (commutative) product of monomials:
$$
x_1^{\ga_1}x_2^{\ga_2}\dots x_n^{\ga_n}.x_1^{\gb_1}x_2^{\gb_2}\dots x_n^{\gb_n}
=x_1^{\ga_1+\gb_1}x_2^{\ga_2+\gb_2}\dots x_n^{\ga_n+\gb_n}
$$
we can also define multiplication of polynomials.  As a result, the set $\kn$ forms
a {\it commutative ring with identity} (the constant polynomial~1). It is
not a field as there are not in general multiplicative inverses, but the set of
{\it rational\/} functions, which contains the polynomials, forms a field.
The ring and vector space structures are compatible so that $\kn$ is a
$k$--{\it algebra\/}.   If $R$ is a commutative ring with~1 then so is
$R[x_1,\dots,x_n]$.

This is the algebraic setting.  The link to geometry comes
through our ability to also view polynomials as functions.

\begin{definition}
Given a field $k$ and a positive integer $n$, the {\bf affine space} of dimension
$n$ over $k$ is the vector space
$$
k^n=\{(a_1,\dots,a_n):a_i\in k\}.
$$
\end{definition}

Given a polynomial $f\in\kn$, define a function $\hat f:k^n\to k$ by letting
$\hat f(a_1,\dots,a_n)$  be the result of substituting $x_i=a_i$ in the expression
for $f$ and evaluating in $k$.  

It's tempting to think of $f$ and $\hat f$ as synonymous, but they are not quite.
Consider $k=\Z_2=\{0,1\}$ and the polynomial $f=x^2+x\in k[x]$. Note that $\hat
f(0)=\hat f(1)=0$ hence $\hat f$ is the zero function on $\Z^2_2$, but $f$ is not
the zero polynomial.  It turns out that this is only a problem in finite
fields.

\begin{theorem}
Let $k$ be an infinite field and $f\in\kn$. Then $f=0$ iff $\hat f$ is the zero
function.
\end{theorem}

\begin{proof}
The forward implication is obvious.  For the reverse, we proceed by induction on
$n$. For $n=1$, suppose $f\neq0\in k[x]$. It follows from the
Division Algorithm (see below) that $\hat f(x)=0$ has at most $\deg f$ solutions. Since $k$ is
infinite, $\hat f$ is not the zero function.

Now assume the theorem is true for all $r\leq n\in\N$. Let $f\in
k[x_1,\dots,x_{n+1}]$ and suppose $\hat f\equiv0$. Write 
\[
f=\sum g_i(x_1,\dots,x_n)x_{n+1}^i
\]
where $g_i\in\kn$. Fix $(a_1,\dots,a_n)\in k^n$, and let $f_a\in k[x_{n+1}]$ be defined by
$$
f_a(x_{n+1})=f(a_1,\dots,a_n,x_{n+1})=0.
$$ 
Then $\hat f_a(a_{n+1})=\hat f(a_1,\dots,a_n,a_{n+1})=0$ for all
$a_{n+1}\in k$. So $f_a\in k[x_{n+1}]$ is the zero polynomial by inductive hypothesis (with $r=1$). This means
all the coefficients vanish, so for any $\ba\in k^n$, $\hat g_i(\ba)=0$ whence
$\hat g_i$ is the zero function on $k^n$ and so, again by induction (with $r=n$),
$g_i=0\in\kn$. But then $f$ is also a zero polynomial.
\end{proof}

This trick of writing the polynomial as a polynomial in one variable with
coefficients polynomials in the remaining variables is very handy.  In effect we
are thinking of $f\in R[x_{n+1}]$ where $R=\kn$. The problem here is that the
coefficients now lie only in a ring, not a field.

\subsection{Varieties}

We have already started to link the algebra and geometry. Now we explicitly
address the question of what form the solution set of a system of polynomial
equations takes.

\begin{definition}
Given a set of polynomials $f_1,\dots,f_s$ in $\kn$ the set
$$
V(f_1,\dots,f_s)=\{(a_1,\dots,a_n)\in k^n: f_i(a_1,\dots,a_n)=0\mbox{ for all
}1\leq i\leq s\}
$$
is called the {\bf affine variety} defined by $f_1,\dots, f_s$.
\end{definition}
If the field is not clear, we write $V_k(f_1,\dots,f_s)$ to denote a variety in $k^n$. 

{\bf Examples.}

1. $V_\R(x^2+y^2-1)$ is the unit circle centre~0, in $\R^2$.

2. $V_\R(x^2+y^2+1)$ is the empty set.

3. $V_\R(x^2+y^2)$ is a single point $(0,0)$. This is the same thing as
$V_\R(x,y)$, showing that the polynomials defining a variety are not unique.

4. $V_\C(x^2+y^2)=\{(x,y)\in\C^2:x\pm iy=0\}=V_\C(x+iy)\cup V_\C(x-iy)$.

5.{\em Linear case.} Take $m$ linear (strictly, {\em affine}) equations in $n$
variables.  This is a special case in which the polynomials all have degree~1. 
Typically
\begin{itemize}
\item
$m<n\Rightarrow$ solution set has $n-m$ parameters, i.e. $V$ is a linear
subspace of dimension $n-m$. (Later we will attempt to generalise the definition of {\em dimension} to an arbitrary variety.)
\item
$m=n\Rightarrow$ a unique solution.
\item
$m>n\Rightarrow$ solution set is empty.
\end{itemize}
However there are exceptions arising either from linear dependency among the
equations or inconsistency.

6. $V_\R(x-z^2,y-z^3)$ can be viewed as the intersection of 2 surfaces in $\R^3$.
It can be described in {\bf parametric form}, using $z=t$ as parameter, as
$\{(t^2,t^3,t):t\in\R\}$. The question of the relation between implicit and
parametric representations of varieties is a fundamental one.  We cannot, in
general, expect to obtain polynomial parametrisations of varieties.  Even rational
parametrisations are only available for fairly simple varieties---the circle for
example can be parametrised by
$x=\dfrac{1-t^2}{1+t^2}, y=\dfrac{2t}{1+t^2}$. To achieve this, first
parametrise by $x=\cos\th$, $y=\sin\th$ and then put $t=\tan\frac\th2$.  

Parametrisation is a deep topic in algebraic geometry.  Ther reverse problem is 
simpler. We'll prove later that both  polynomial and rational parametrisations can
be ``implicitized".

7. Note that $V(xz,yz)=\{(x,y,z)\in k^3\,:\,z=0\mbox{ or }x=y=0\}$.
Hence the variety can also be written as $V(z)\cup V(x,y)$. Thus the variety
consists of bits of different dimension.  Defining the dimension of a variety is
also a fundamental question.



Is it generally the case that the (pairwise or finite) union or intersection of varieties is itself a
variety? The answer is yes.  There is a slight difference from the linear case in
that the union of solutions to systems of linear equations do not in general form
{\it linear\/} subspaces.  However, they do form varieties of course.

\begin{theorem}
If $V, W\subset k^n$ are affine varieties then so are $V\cap W$ and $V\cup W$.
\end{theorem}

The proof is an exercise in Assignment~1. The idea for each case can be found in
examples~4 and~7 (unions) and example~6 (intersection).



\end{document}

